Get a list of encounters
get
/Encounter
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of encounters that meet the supplied query parameters.
- Provide
_idorpatient, not both. - Use
statusonly withpatient.
Request
Query Parameters
-
_count: integer
Minimum Value:
1The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: array[string]
The last updated date or range.
-
_revinclude: string
The inclusion of related Provenance resources targeting returned encounters.Allowed Values:
[ "Provenance:target" ] -
date: array[string]
The encounter date or range.
-
identifier: string
The identifier value or system|value token.
-
patient: string
The patient reference or ID.
-
status: string
The encounter status.
-
subject: string
The patient subject ID or reference.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Encounter
The FHIR R4 Encounter resource.
-
object
ProvenanceForEncounter
Additional Properties Allowed:
true -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Encounter
Type:
objectThe FHIR R4 Encounter resource.
Show Source
-
appointment: array
appointment
-
class(required): object
Coding
-
extension: array
extension
-
hospitalization: object
HospitalizationForEncounter
-
id(required): string
-
identifier: array
identifier
-
location: array
location
-
meta: object
meta
-
participant: array
participant
-
period: object
PeriodForEncounter
-
priority: object
Coding
-
reasonCode: array
reasonCode
-
resourceType(required): string
Allowed Values:
[ "Encounter" ] -
serviceProvider: object
ReferenceForEncounter
-
serviceType: object
CodeableConcept
-
status(required): string
-
subject(required): object
ReferenceForEncounter
-
text: object
Narrative
-
type: array
type
Nested Schema : ProvenanceForEncounter
Type:
objectAdditional Properties Allowed:
Show Source
true-
resourceType: string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source